<!--
{
  "availability" : [

  ],
  "documentType" : "symbol",
  "framework" : "apple-school-and-business-manager-api",
  "identifier" : "/documentation/AppleBusinessAPI/Get-All-App-IDs-for-a-Blueprint",
  "metadataVersion" : "0.1.0",
  "role" : "Web Service Endpoint",
  "symbol" : {
    "kind" : "Web Service Endpoint",
    "modules" : [
      "Apple Business API"
    ],
    "preciseIdentifier" : "rest:AppleBusinessAPI:get:v1-blueprints-{}-relationships-apps"
  },
  "title" : "Get App IDs for a Blueprint"
}
-->

# Get App IDs for a Blueprint

Get a list of app IDs associated with a Blueprint.

## Overview

### Example

**Request:**

```
curl "https://api-business.apple.com/v1/blueprints/{id}/relationships/apps" \
    -H "Authorization: Bearer ${ACCESS_TOKEN}"
```

**Response:**

```json
{
  "data": [
    {
      "type": "apps",
      "id": "361309726"
    },
    {
      "type": "apps",
      "id": "409201541"
    }
  ],
  "links": {
    "self": "https://api-business.apple.com/v1/blueprints/blueprint-12345/relationships/apps",
    "next": "https://api-business.apple.com/v1/blueprints/blueprint-12345/relationships/apps?cursor=MDowOjE3NDYxMTg0NjkzOTc"
  },
  "meta": {
    "paging": {
      "nextCursor": "MDowOjE3NDYxMTg0NjkzOTc",
      "limit": 2
    }
  }
}
```

## Topics

### Responses

[`object BlueprintAppsLinkagesResponse`](/documentation/AppleBusinessAPI/BlueprintAppsLinkagesResponse)

A response that contains a list of app resource linkages for a Blueprint.



---

Copyright &copy; 2026 Apple Inc. All rights reserved. | [Terms of Use](https://www.apple.com/legal/internet-services/terms/site.html) | [Privacy Policy](https://www.apple.com/privacy/privacy-policy)